public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Thomas Deutschmann" <whissi@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/pymysql/
Date: Wed, 16 Jan 2019 13:33:54 +0000 (UTC)	[thread overview]
Message-ID: <1547645626.ea2197a1f8c50e5ba2ea0fd451ed83c1d5178521.whissi@gentoo> (raw)

commit:     ea2197a1f8c50e5ba2ea0fd451ed83c1d5178521
Author:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Wed Jan 16 13:33:18 2019 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Wed Jan 16 13:33:46 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ea2197a1

dev-python/pymysql: bump to v0.9.3

Package-Manager: Portage-2.3.56, Repoman-2.3.12
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>

 dev-python/pymysql/Manifest             |  1 +
 dev-python/pymysql/pymysql-0.9.3.ebuild | 31 +++++++++++++++++++++++++++++++
 2 files changed, 32 insertions(+)

diff --git a/dev-python/pymysql/Manifest b/dev-python/pymysql/Manifest
index 8632466da12..193e1c857c9 100644
--- a/dev-python/pymysql/Manifest
+++ b/dev-python/pymysql/Manifest
@@ -2,3 +2,4 @@ DIST pymysql-0.7.11.tar.gz 82213 BLAKE2B 45ef3b4c8f4d9a9d3cb5b706f68a52b860bc212
 DIST pymysql-0.8.0.tar.gz 82975 BLAKE2B c1345ff6d266d5a3670d8bb1d7d7becad218ed294ab912f3f28e49163851e2e36fc1bb5a13a5d0f62ba753d264f736a6a87e11d290cc4fd604714fe1d4f9569d SHA512 41597d3955a35283656b5cbc137b0cb63eb48658dc61f0ba1fc0c207bad07472896e557b2996e52fbc2646163bce69e7d2fed81349355e72368cf395f51e2916
 DIST pymysql-0.8.1.tar.gz 83887 BLAKE2B 0181970d714d45db644636b57105bba1ea8d8d3ded537555ab1ae5afdc0cad308dbdfe6a67c50905ba1a2ea8cd5302bac8f997f64f0b6874436e4b90a3ea8a78 SHA512 0a58bb6a74281aaec5d23c4e59407ff1d7f3fd379285a21a39f14ad18008303d79aa87b99ebfe2536775f8b369875b15907ae6653d038a2d44589cf47ac0a2b9
 DIST pymysql-0.9.2.tar.gz 86913 BLAKE2B fc1cd695a75c9f52c4da231f7caae58f902002f38a39a1702f19d23b46bdb1a4753aea98d90e051ec56a5721999149a13b028e1614efdfcac23c76c8382a8d33 SHA512 110306477c167d0b497700b7b22c186c001c803800975b4b4e26e98116f47589b0a4bb7e02d502a62beed6d7dc1ae3fe8a817824c1f3a5caee0898b5f5d21734
+DIST pymysql-0.9.3.tar.gz 86715 BLAKE2B 0ed09f7f5c47bd1fae52dd9d0ff0790367962d8e4b89d3933704b8b8d838e1f48b68455a9a3916318bf3c1c1f102fa11b4e1e3401d021f8a2d6137612a4affb9 SHA512 d906b7a6612d91db7d4f7f2d85a9375477e6655c568e0d1e7281ad0263d4a78f0ac4e80263605723f99e12db04c80f51c5c8ed79ed6f209a7afeb4b45bf40648

diff --git a/dev-python/pymysql/pymysql-0.9.3.ebuild b/dev-python/pymysql/pymysql-0.9.3.ebuild
new file mode 100644
index 00000000000..ad3b57902a2
--- /dev/null
+++ b/dev-python/pymysql/pymysql-0.9.3.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6,7} pypy pypy3 )
+
+inherit distutils-r1
+
+MY_PN="PyMySQL"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="Pure-Python MySQL Driver"
+HOMEPAGE="https://github.com/PyMySQL/PyMySQL"
+SRC_URI="https://github.com/${MY_PN}/${MY_PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="test"
+
+S=${WORKDIR}/${MY_P}
+
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+
+# While tests exist, they require an unsecure server to run without manual config file
+RESTRICT="test"
+
+python_test() {
+	${PYTHON} runtests.py || die
+}


             reply	other threads:[~2019-01-16 13:34 UTC|newest]

Thread overview: 54+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-01-16 13:33 Thomas Deutschmann [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-05-22  9:10 [gentoo-commits] repo/gentoo:master commit in: dev-python/pymysql/ Michał Górny
2024-05-22  9:05 Michał Górny
2024-05-22  4:49 Michał Górny
2024-05-22  4:49 Michał Górny
2024-05-18  8:09 Michał Górny
2024-01-04 11:29 WANG Xuerui
2023-07-28  9:26 Michał Górny
2023-07-28  9:26 Michał Górny
2023-07-28  7:56 Sam James
2023-06-27  3:54 Michał Górny
2023-04-28 14:49 Arthur Zamarin
2023-04-28 14:47 Arthur Zamarin
2023-03-28 13:23 Michał Górny
2022-11-06  7:59 Michał Górny
2022-11-06  7:24 Sam James
2022-10-14 15:09 Andrew Ammerlaan
2022-02-14  8:35 Matt Turner
2021-11-14 23:51 Sam James
2021-10-24 21:14 Sam James
2021-10-02 23:17 Sam James
2021-09-06 23:42 Sam James
2021-09-06 23:37 Sam James
2021-09-06  0:13 Sam James
2021-08-10  4:59 Sam James
2021-07-28 16:14 Sergei Trofimovich
2021-06-05 17:59 Michał Górny
2021-03-20 19:21 Thomas Deutschmann
2021-02-25 13:54 Agostino Sarubbo
2021-01-09 17:40 Michał Górny
2021-01-08  9:29 Michał Górny
2021-01-07  9:16 Michał Górny
2020-10-09  8:53 Michał Górny
2020-10-09  8:40 Agostino Sarubbo
2020-10-02 14:40 Thomas Deutschmann
2020-09-23  7:29 Michał Górny
2020-09-17 15:16 Brian Evans
2020-08-18  5:52 Sam James
2020-06-11 20:33 Michał Górny
2020-06-11 20:33 Michał Górny
2020-06-11 20:33 Michał Górny
2020-04-18 17:55 Craig Andrews
2020-02-05 19:53 Michał Górny
2020-01-07 20:24 Brian Evans
2018-09-11 19:13 Brian Evans
2018-06-09 17:09 Thomas Deutschmann
2018-02-22 21:23 Thomas Deutschmann
2018-01-05 23:19 Michał Górny
2017-09-29 23:32 Matt Thode
2017-08-30 21:07 Matt Thode
2017-03-10 21:58 Zac Medico
2017-01-26 20:27 Brian Evans
2016-09-04  6:46 Patrice Clement
2015-10-19 16:29 Justin Lecher

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1547645626.ea2197a1f8c50e5ba2ea0fd451ed83c1d5178521.whissi@gentoo \
    --to=whissi@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox